explain_acct_or_die(3)

NAME
explain_acct_or_die - switch process accounting on or off and report errors

SYNOPSIS
#include <libexplain/acct.h>

void explain_acct_or_die(const char *pathname);
int explain_acct_on_error(const char *pathname))

DESCRIPTION
The explain_acct_or_die function is used to call the acct(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_acct(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_acct_on_error function is used to call the acct(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_acct(3) function, but still returns to the caller.

pathname
    The pathname, exactly as to be passed to the acct(2) system call.

RETURN VALUE
The explain_acct_or_die function only returns on success, see acct(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_acct_on_error function always returns the value return by the wrapped acct(2) system call.

EXAMPLE
The explain_acct_or_die function is intended to be used in a fashion similar to the following example:
    explain_acct_or_die(pathname);

SEE ALSO

acct(2)
    switch process accounting on or off

explain_acct(3)
    explain acct(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller